Author: Sergei Golovan
Description: Patch fixes FTBFS for GNU/kFreeBSD and GNU/Hurd architectures
 and enables building of TTF and image manipulation bits.
Last-Modified: Sun, 03 Apr 2016 10:13:38 +0300

--- a/rebar.config
+++ b/rebar.config
@@ -5,8 +5,8 @@
 %% Also see rebar.config.script
 
 {port_env, [
-	    {"linux", "CFLAGS", "$CFLAGS $SDL_CFLAGS"},
-	    {"linux", "LDFLAGS", "$LDFLAGS $SDL_LIBDIR"},
+	    {"gnu", "CFLAGS", "$CFLAGS $SDL_CFLAGS -DSHM -D_USE_SDL_TTF -D_USE_SDL_IMAGE -DPTHREADS"},
+	    {"gnu", "LDFLAGS", "$LDFLAGS $SDL_LIBDIR -lSDL_ttf -lSDL_image"},
 
 	    {"darwin", "CFLAGS", "$CFLAGS -ObjC -D_OSX_COCOA -I/opt/X11/include"},
 	    {"darwin", "LDFLAGS", "$LDFLAGS -framework SDL -rpath @executable_path/../Frameworks"},
@@ -26,6 +26,8 @@
 		"c_src/esdl_spec.c",
 		"c_src/esdl_util.c",
 		"c_src/esdl_video.c",
+		"c_src/esdl_ttf.c",
+		"c_src/esdl_img.c",
 		"c_src/esdl_wrapper.c"
 	       ]}
 	     ]}.
